package com.os.mes.report.controller;

import java.util.HashMap;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import com.os.common.core.controller.BaseController;
import com.os.common.core.domain.AjaxResult;
import com.os.mes.report.domain.ReportBoardPort;
import com.os.mes.report.service.IReportBoardPortService;

/**
 * 看板接口Controller
 * 
 * @author Yinq
 * @date 2024-07-11
 */
@RestController
@RequestMapping("/mes/boardPort")
public class ReportBoardPortController extends BaseController
{
    @Autowired
    private IReportBoardPortService reportBoardPortService;

    /**
     * 查询看板接口列表
     */
    @GetMapping("/list")
    public AjaxResult list(ReportBoardPort reportBoardPort)
    {
        List<ReportBoardPort> list = reportBoardPortService.selectReportBoardPortList(reportBoardPort);
        return success(list);
    }

    /**
     * 首页看板接口
     * @param paramMap
     * @return
     */
    @PostMapping("/homeBoard")
    public AjaxResult homeBoard(@RequestBody HashMap<String, String> paramMap)
    {
        HashMap<String, Object> list = reportBoardPortService.selectReportHomeBoard(paramMap);
        return success(list);
    }

}
